# Create a share Creates a new share granting one or more external users access to a set of documents until an expiry time. Request: users - List of User entries specifying each recipient's email and access level (VIEW or VIEW_DOWNLOAD). documentIds - List of document IDs to include in the share. expiryTime - Timestamp at which the share will automatically expire. siteId - ID of the site through which recipients will access the share. Response: shareItem - The created ShareItem including its assigned id, users, documentIds, expiryTime, siteId, createdAt, and initial status (ACTIVE). Endpoint: POST /api/v1/share/create Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `users` (array) - `users.email` (string) Rule data fields - `users.accessLevel` (integer) Enum: 0, 1 - `documentIds` (array) - `expiryTime` (object) - `expiryTime.seconds` (integer) - `expiryTime.nanos` (integer) - `siteId` (string) Rule data fields ## Response 200 fields (application/json): - `shareItem` (object) - `shareItem.id` (string) Rule data fields - `shareItem.users` (array) - `shareItem.users.email` (string) Rule data fields - `shareItem.users.accessLevel` (integer) Enum: 0, 1 - `shareItem.expiryTime` (object) - `shareItem.expiryTime.seconds` (integer) - `shareItem.expiryTime.nanos` (integer) - `shareItem.documentIds` (array) - `shareItem.siteId` (string) Rule data fields - `shareItem.createdAt` (object) - `shareItem.status` (integer) Enum: 0, 1, 2 ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)